Bug 665963 (CVE-2010-4494) - CVE-2010-4494 libxml2: double-free in XPath processing code
Summary: CVE-2010-4494 libxml2: double-free in XPath processing code
Status: ASSIGNED
Alias: CVE-2010-4494
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101117,reported=20101207,sou...
Keywords: Reopened, Security
Depends On: 665965 710397 891477 891478
Blocks: 734217 734221 891480
TreeView+ depends on / blocked
 
Reported: 2010-12-28 05:48 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-01-30 01:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-07 08:59:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1749 normal SHIPPED_LIVE Low: libxml2 security and bug fix update 2011-12-06 01:01:47 UTC
Red Hat Product Errata RHSA-2013:0217 normal SHIPPED_LIVE Important: mingw32-libxml2 security update 2013-02-01 00:25:14 UTC

Description Huzaifa S. Sidhpurwala 2010-12-28 05:48:39 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4494 to
the following vulnerability:

Name: CVE-2010-4494
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4494
Assigned: 20101207
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=63444
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2010/12/stable-beta-channel-updates.html

Double free vulnerability in Google Chrome before 8.0.552.215 allows
remote attackers to cause a denial of service or possibly have
unspecified other impact via vectors related to XPath handling.

Upstream libxml2 patch:
http://git.gnome.org/browse/libxml2/commit/?id=df83c17e5a2646bd923f75e5e507bc80d73c9722

Comment 3 Huzaifa S. Sidhpurwala 2010-12-28 05:56:52 UTC
Statement:

This issue did not affect the versions of libxml and libxml2 as shipped with
Red Hat Enterprise Linux 3, and it did not affect the version of libxml2 as
shipped with Red Hat Enterprise Linux 4 and 5.

Comment 4 Huzaifa S. Sidhpurwala 2010-12-28 06:04:36 UTC
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 665965]

Comment 5 errata-xmlrpc 2011-12-06 18:55:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1749 https://rhn.redhat.com/errata/RHSA-2011-1749.html

Comment 8 errata-xmlrpc 2013-01-31 19:32:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html


Note You need to log in before you can comment on or make changes to this bug.